var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};

// src/index.ts
__export(exports, {
  composeEventHandlers: () => composeEventHandlers
});

// src/composeEventHandlers.ts
function composeEventHandlers(theirEventHandler, ourEventHandler) {
  return function handleEvent(event) {
    theirEventHandler == null ? void 0 : theirEventHandler(event);
    if (!event.defaultPrevented) {
      return ourEventHandler == null ? void 0 : ourEventHandler(event);
    }
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  composeEventHandlers
});
