// src/composeEventHandlers.ts
function composeEventHandlers(theirEventHandler, ourEventHandler) {
  return function handleEvent(event) {
    theirEventHandler == null ? void 0 : theirEventHandler(event);
    if (!event.defaultPrevented) {
      return ourEventHandler == null ? void 0 : ourEventHandler(event);
    }
  };
}
export {
  composeEventHandlers
};
